# Change scope settings for connected social provider

Manage custom Oauth2 scopes for provider.


{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for server-side methods are applied to this method.
{% /html %}

Endpoint: PUT /projects/{project_id}/social/{provider_name}/custom_scope
Version: v1
Security: Server

## Path parameters:

  - `project_id` (string, required)
    Login project ID from Publisher Account.

  - `provider_name` (string, required)
    Name of the social network connected to Login in Publisher Account. Can be: amazon, apple, xsolla, baidu, battlenet, discord, epicgames, facebook, github, google,kakao, linkedin, mailru, microsoft, msn, naver, ok, paypal, qq, reddit, steam, twitch, twitter, vimeo,vk, wechat, weibo, xbox, yahoo, yandex, youtube.

If you store user data in PlayFab, only twitch is available.

## Request fields (application/json):

  - `custom_scope` (array)

  - `refresh_always` (boolean)

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 422 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


## Response 204 fields
